Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class EndpointInterceptingChainMessageProcessorBuilder

    java.lang.Object
      org.mule.processor.builder.InterceptingChainMessageProcessorBuilder
          org.mule.endpoint.EndpointInterceptingChainMessageProcessorBuilder

All Implemented Interfaces:
  MessageProcessorBuilder

    public class EndpointInterceptingChainMessageProcessorBuilder

extends InterceptingChainMessageProcessorBuilder

Field Summary
`protected ImmutableEndpoint` | `endpoint`

Fields inherited from class org.mule.processor.builder.InterceptingChainMessageProcessorBuilder
`flowConstruct, name, processors`

Constructor Summary
`EndpointInterceptingChainMessageProcessorBuilder(ImmutableEndpoint endpoint, FlowConstruct flowConstruct)`

Method Summary
`protected MessageProcessor` | `initializeMessageProcessor(Object processor)`

Methods inherited from class org.mule.processor.builder.InterceptingChainMessageProcessorBuilder
`build, chain, chain, chain, chainBefore, chainBefore, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected ImmutableEndpoint endpoint

Constructor Detail

### EndpointInterceptingChainMessageProcessorBuilder

    public EndpointInterceptingChainMessageProcessorBuilder(ImmutableEndpoint endpoint,
                                                            FlowConstruct flowConstruct)

Method Detail

### initializeMessageProcessor

    protected MessageProcessor initializeMessageProcessor(Object processor)
                                                   throws MuleException

  Overrides:
    `initializeMessageProcessor` in class `InterceptingChainMessageProcessorBuilder`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.